> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/tu-er-qi.md).

# 土耳其

## <mark style="color:purple;">电子钱包 - Papara</mark>

* payout\_method.type = wallet
* payout\_method.payment\_method = wallets

<table><thead><tr><th width="229.38189697265625">payout_method_details 参数</th><th width="100">类型</th><th width="92.7301025390625">必填项</th><th>描述</th></tr></thead><tbody><tr><td>first_name</td><td>String</td><td>是</td><td>收款人的名字。最多 50 个字符</td></tr><tr><td>last_name</td><td>String</td><td>是</td><td>收款人的姓氏。最多 50 个字符</td></tr><tr><td>account_type</td><td>String</td><td>是</td><td><p>“<strong>papara_mobile</strong>”</p><p>“<strong>papara_number</strong>”</p></td></tr><tr><td>phone_number</td><td>String</td><td>是</td><td><p><a href="https://www.globalcallforwarding.com/blog/what-is-e-164/">E164 格式</a> 例如+90XXXXXXXXXXXX 国际代码+10位数字<br></p><p><strong>仅当 account_type = “papara_mobile” 时才為必填。</strong></p></td></tr><tr><td>account_number</td><td>String</td><td>是</td><td><p>10 位数字（例如 1234567890）或带有 2 个字符字首（例如 PL1234567890）<br></p><p><strong>仅当 account_type = “papara_number” 时才為必填。</strong></p></td></tr><tr><td>bank_code</td><td>String</td><td>是</td><td>“PAPARA”</td></tr></tbody></table>

## <mark style="color:purple;">电子钱包 Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
    "payout_method": {
        "type": "wallet",
        "payment_method": "wallets",
        "beneficiary": {
            "name": "John Doe",
            "payout_method_details": {
                "first_name": "John",
                "last_name": "Doe",
                "phone_number": "+9057123456787",
                "account_currency": "TRY",
                "account_name": "John Doe",
                "account_number": "PL1234567890",
                "account_type": "papara_mobile",
                "bank_code": "PAPARA",
            }
        }
    },
    "amount": {
        "value": "2000.00",
        "currency_code": "TRY"
    },
    "country_code": "TR",
    "purpose": "salaries",
    "reference": "Invoice #12345",
    "request_id": "unique_request_id",
}
```

{% endtab %}

{% tab title="响应示例" %}

```java
{
    "purpose": "salaries",
    "reference": "Invoice #12345",
    "id": "bd0e110a-c659-4982-be37-04b44a0a139d",
    "payout_method": {
        "type": "wallet",
        "payment_method": "tr_wallets",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000.00,
        "currency_code": "TRY"
    },
    "country_code": "TR",
    "request_id": "unique_request_id",
    "created_at": 1715068306
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">银行转账</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

<table><thead><tr><th>payout_method_details 参数</th><th width="125">类型</th><th width="100">必填项</th><th>描述</th></tr></thead><tbody><tr><td>first_name</td><td>String</td><td>是</td><td>收款人的名字。最多 50 个字符</td></tr><tr><td>last_name</td><td>String</td><td>是</td><td>收款人的姓氏。最多 50 个字符</td></tr><tr><td>phone_number</td><td>String</td><td>是</td><td><a href="https://www.globalcallforwarding.com/blog/what-is-e-164/">E164 格式</a> 例如+90XXXXXXXXXXXX 国际代码+10位数字</td></tr><tr><td>account_number</td><td>String</td><td>是</td><td>IBAN，26 个字符。<br><br>请参阅下面的“土耳其银行帐号验证”。</td></tr></tbody></table>

## <mark style="color:purple;">土耳其银行帐号验证</mark>

<table><thead><tr><th>验证</th><th width="125">类型</th><th width="100">长度</th><th>类型</th><th>验证</th></tr></thead><tbody><tr><td>银行账户</td><td>IBAN</td><td>26</td><td>Charaters </td><td>IBAN 算法</td></tr></tbody></table>

### <mark style="color:purple;">银行转账Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "first_name": "John",
        "last_name": "Doe",
        "phone_number": "+9057123456789",
        "account_number": "TR320010009999901234567890",
        "bank_code": "AUB"
      }
    }
  },
  "amount": {
    "value": "11.11",
    "currency_code": "TRY"
  },
  "country_code": "TR",
  "purpose": "salaries",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "3b736ae4-6c38-4b5f-b389-1ab781640d22",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "tr_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 11.11,
        "currency_code": "TRY"
    },
    "country_code": "TR",
    "request_id": "unique_request_id",
    "created_at": 1717132534
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/tu-er-qi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
